##### windows::basic_stream_handle::basic_stream_handle (2 of 6 overloads)

Construct a stream handle without opening it.

    template<
        typename ExecutionContext>
    basic_stream_handle(
        ExecutionContext & context,
        typename constraint< is_convertible< ExecutionContext &, execution_context & >::value, defaulted_constraint >::type  = defaulted_constraint());

This constructor creates a stream handle without opening it. The handle needs to be opened or assigned before data can be written to or read from it.

###### Parameters

context

  An execution context which provides the I/O executor that the stream handle will use, by default, to dispatch handlers for any asynchronous operations performed on the stream handle.